Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
recordings
/
{recordingId}
/
subtitles
Get Subtitle
curl --request GET \
  --url https://api.studio.us.phrase.com/v1/projects/{projectId}/recordings/{recordingId}/subtitles \
  --header 'X-API-Key: <api-key>'
{
  "participantNames": [
    "<string>"
  ],
  "subtitles": [
    {
      "id": "<string>",
      "speaker": "<string>",
      "time_begin": 1,
      "time_end": 1,
      "words": [
        {
          "word": "<string>",
          "time_begin": 1,
          "time_end": 1,
          "is_eos": true
        }
      ],
      "language": "<string>",
      "text": "<string>",
      "metadata": {},
      "cue_settings": {}
    }
  ],
  "bgVolume": 123,
  "speakerVolumes": {},
  "speakerVoiceSettings": {}
}

Authorizations

X-API-Key
string
header
required

Path Parameters

projectId
string<uuid>
required

Project ID

recordingId
string<uuid>
required

Recording ID

Query Parameters

language
string
required

BCP-47 language code of the track to read

source
boolean
default:false

Set to true to read the source (transcription) track

dubbing
boolean
default:false

Set to true to read the dubbing track

Response

Subtitle track returned

participantNames
string[]
required
subtitles
object[]
required
bgVolume
number
speakerVolumes
object
speakerVoiceSettings
object